# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2018-03-07 06:12
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=16)),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('abstract', models.TextField(blank=True, null=True)),
                ('raw', models.TextField(blank=True, null=True)),
                ('content', models.TextField(blank=True, null=True)),
                ('content_html', models.TextField(blank=True, null=True)),
                ('attachment', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('update_time', models.DateTimeField(blank=True, null=True)),
                ('pub_time', models.DateTimeField(blank=True, null=True)),
                ('is_draft', models.BooleanField(default=False)),
                ('keyword', models.CharField(blank=True, max_length=255, null=True)),
                ('cover', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('degree', models.IntegerField(default=0)),
                ('source', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('reserve_one', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('reserve_two', models.TextField(blank=True, null=True)),
                ('categories', models.ManyToManyField(blank=True, to='newsmodule.Category')),
                ('publisher', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=16)),
            ],
        ),
        migrations.CreateModel(
            name='UserMobileReadPost',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mobile_read_post', models.ManyToManyField(to='newsmodule.Post')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserReadPost',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('post_ids', models.ManyToManyField(to='newsmodule.Post')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserWebReadPost',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('web_read_post', models.ManyToManyField(to='newsmodule.Post')),
            ],
        ),
        migrations.AddField(
            model_name='post',
            name='tags',
            field=models.ManyToManyField(blank=True, to='newsmodule.Tag'),
        ),
    ]
